org.apache.lucene.index

## Enum IndexOptions

- java.lang.Object
- - java.lang.Enum<IndexOptions>
  - - org.apache.lucene.index.IndexOptions

- All Implemented Interfaces:
    Serializable, Comparable<IndexOptions>

      public enum IndexOptions
      extends Enum<IndexOptions>

  Controls how much information is stored in the postings lists.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOCS` Only documents are indexed: term frequencies and positions are omitted.
    `DOCS_AND_FREQS` Only documents and term frequencies are indexed: positions are omitted.
    `DOCS_AND_FREQS_AND_POSITIONS` Indexes documents, frequencies and positions.
    `DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS` Indexes documents, frequencies, positions and offsets.
    `NONE` Not indexed

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IndexOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final IndexOptions NONE

      Not indexed

    - #### DOCS

          public static final IndexOptions DOCS

      Only documents are indexed: term frequencies and positions are omitted. Phrase and other positional queries on the field will throw an exception, and scoring will behave as if any term in the document appears only once.

    - #### DOCS_AND_FREQS

          public static final IndexOptions DOCS_AND_FREQS

      Only documents and term frequencies are indexed: positions are omitted. This enables normal scoring, except Phrase and other positional queries will throw an exception.

    - #### DOCS_AND_FREQS_AND_POSITIONS

          public static final IndexOptions DOCS_AND_FREQS_AND_POSITIONS

      Indexes documents, frequencies and positions. This is a typical default for full-text search: full scoring is enabled and positional queries are supported.

    - #### DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS

          public static final IndexOptions DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS

      Indexes documents, frequencies, positions and offsets. Character offsets are encoded alongside the positions.

  - ### Method Detail

    - #### values

          public static IndexOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexOptions c : IndexOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.